Skip to main content
`Ctrl`+`K`
scipy.stats._result_classes.

# FitResult

class scipy.stats._result_classes.FitResult(dist, data, discrete, res)

  Result of fitting a discrete or continuous distribution to data

  Attributes:
    params namedtuple

      A namedtuple containing the maximum likelihood estimates of the shape parameters, location, and (if applicable) scale of the distribution.

    success bool or None

      Whether the optimizer considered the optimization to terminate successfully or not.

    message str or None

      Any status message provided by the optimizer.

  Methods

  `nllf`([params, data]) | Negative log-likelihood function
  `plot`([ax, plot_type]) | Visually compare the data against the fitted distribution.